<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ospi2urdf: src/examples/comparison_pinocchio_osim_urdf.py File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ospi2urdf
   </div>
   <div id="projectbrief">Express .osim files as .urdf files.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_e931c1a3f0014e624d0645a271726ad2.html">examples</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">comparison_pinocchio_osim_urdf.py File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacecomparison__pinocchio__osim__urdf"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__pinocchio__osim__urdf.html">comparison_pinocchio_osim_urdf</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a6619b44b2c234cdc9a57a6b91c391d72"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__pinocchio__osim__urdf.html#a6619b44b2c234cdc9a57a6b91c391d72">getDoc</a> (obj)</td></tr>
<tr class="separator:a6619b44b2c234cdc9a57a6b91c391d72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94f1a2fc5398b7c36720663d4635176c"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__pinocchio__osim__urdf.html#a94f1a2fc5398b7c36720663d4635176c">getJointAxis</a> (urdf_model)</td></tr>
<tr class="separator:a94f1a2fc5398b7c36720663d4635176c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c382da4d6504addaefdf55a90eda8b1"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__pinocchio__osim__urdf.html#a4c382da4d6504addaefdf55a90eda8b1">IKOsimFKURDF</a> (OS_model, urdf_model, urdf_data)</td></tr>
<tr class="separator:a4c382da4d6504addaefdf55a90eda8b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6865a8f7ae78146c6d656570037d1a1f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__pinocchio__osim__urdf.html#a6865a8f7ae78146c6d656570037d1a1f">IKOsimFKUrdf_pin</a> (urdf_model, osim_model, data_urdf, data_osim, D_parts_osim_combi, D_parts_urdf_combi, L_name, t_lim, rot_lim, urdf_filename)</td></tr>
<tr class="separator:a6865a8f7ae78146c6d656570037d1a1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a278ab96e60829156d43b6f08ebd4e0c9"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__pinocchio__osim__urdf.html#a278ab96e60829156d43b6f08ebd4e0c9">moveListJoint</a> (Lname, Lcons, model, data, verbose=False)</td></tr>
<tr class="separator:a278ab96e60829156d43b6f08ebd4e0c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd587455bb0f4d106abc5851dd874821"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__pinocchio__osim__urdf.html#abd587455bb0f4d106abc5851dd874821">printConfig</a> (model, data)</td></tr>
<tr class="separator:abd587455bb0f4d106abc5851dd874821"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abdbc652c878eb24729b66d7fd44976f9"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__pinocchio__osim__urdf.html#abdbc652c878eb24729b66d7fd44976f9">tstCombi</a> (urdf_model, data_urdf, osim_model, data_osim)</td></tr>
<tr class="separator:abdbc652c878eb24729b66d7fd44976f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a9d0e54daf49fc1bde6926f318319591f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__pinocchio__osim__urdf.html#a9d0e54daf49fc1bde6926f318319591f">data_urdf</a> = urdf_model.createData()</td></tr>
<tr class="separator:a9d0e54daf49fc1bde6926f318319591f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9943cdc47fcab4aaa9250f232906cba0"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__pinocchio__osim__urdf.html#a9943cdc47fcab4aaa9250f232906cba0">geometry_path</a> = &quot;/home/auctus/Documents/OpenSim/4.2-2020-11-24-d9c8bb2c/Models/SimulationDataAndSetupFiles-4.0/Geometry&quot;</td></tr>
<tr class="separator:a9943cdc47fcab4aaa9250f232906cba0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf06840bb7321db3b08b1b60a3792784"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__pinocchio__osim__urdf.html#aaf06840bb7321db3b08b1b60a3792784">ik_path</a> = '/home/auctus/Documents/OpenSim/4.2-2020-11-24-d9c8bb2c/Models/Arm26/OutputReference/InverseKinematics'</td></tr>
<tr class="memdesc:aaf06840bb7321db3b08b1b60a3792784"><td class="mdescLeft">&#160;</td><td class="mdescRight">-&mdash; wholebody.osim  <a href="namespacecomparison__pinocchio__osim__urdf.html#aaf06840bb7321db3b08b1b60a3792784">More...</a><br /></td></tr>
<tr class="separator:aaf06840bb7321db3b08b1b60a3792784"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b6825c194e9b3e049311a24acd2f504"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__pinocchio__osim__urdf.html#a6b6825c194e9b3e049311a24acd2f504">osim_filename</a> = '/home/auctus/Documents/OpenSim/4.2-2020-11-24-d9c8bb2c/Models/Arm26/OutputReference/arm26.osim'</td></tr>
<tr class="separator:a6b6825c194e9b3e049311a24acd2f504"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08f8d6e75f80f202d3fabf088a3fe9e4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__pinocchio__osim__urdf.html#a08f8d6e75f80f202d3fabf088a3fe9e4">q_urdf</a> = se3.neutral(urdf_model)</td></tr>
<tr class="separator:a08f8d6e75f80f202d3fabf088a3fe9e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71b8e400cb53841923f199a292963b80"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__pinocchio__osim__urdf.html#a71b8e400cb53841923f199a292963b80">setup_ik_file</a> = 'Setup_IK_arm26_elbow_flex.xml'</td></tr>
<tr class="separator:a71b8e400cb53841923f199a292963b80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51789b56e7ee8adcfa2d6d201380191a"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__pinocchio__osim__urdf.html#a51789b56e7ee8adcfa2d6d201380191a">trc_path</a> = '/home/auctus/Documents/OpenSim/4.2-2020-11-24-d9c8bb2c/Models/Arm26/OutputReference/InverseKinematics/arm26_elbow_flex.trc'</td></tr>
<tr class="separator:a51789b56e7ee8adcfa2d6d201380191a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70071ca4064db762f822331f4ace366c"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__pinocchio__osim__urdf.html#a70071ca4064db762f822331f4ace366c">urdf_filename</a> = &quot;/home/auctus/catkin_ws/src/human_control/description/arm26/arm26_aCol.urdf&quot;</td></tr>
<tr class="separator:a70071ca4064db762f822331f4ace366c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa61b9ef8f0749b6627e481cc5b62ed57"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__pinocchio__osim__urdf.html#aa61b9ef8f0749b6627e481cc5b62ed57">urdf_model</a> = se3.buildModelFromUrdf(urdf_filename)</td></tr>
<tr class="separator:aa61b9ef8f0749b6627e481cc5b62ed57"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
